<h1>File upload</h1>

<form class="file-upload__form">
  <label for="upload-file">Files</label>
  <input
    name="upload-file"
    id="upload-file"
    type="file"
    data-cy="file-upload-input"
    multiple
    (change)="getFile($event)"
  />

  <button
    [disabled]="!canUploadFiles"
    type="button"
    data-cy="file-upload-button"
    (click)="uploadFile()"
  >
    Upload file
  </button>
</form>

<!-- UPLOAD FEEDBACK -->
<ul *ngIf="isFilesUploadCompleted && filesUploadFeedback">
  <li
    *ngFor="let feedback of filesUploadFeedback"
    data-cy="files-upload-feedback"
  >
    <div
      class="file-upload__result"
      [ngStyle]="{
        backgroundColor:
          feedback.status === 'success' ? 'rgb(0, 128, 0)' : 'rgb(128, 0, 0)'
      }"
    >
      <!-- STATUS -->
      <div>
        <span class="file-upload__result-title">Status:</span>
        <span data-cy="feedback-status">{{ feedback.status | titlecase }}</span>
      </div>

      <!-- ERROR MESSAGE -->
      <div *ngIf="feedback.errorMessage">
        <span class="file-upload__result-title">Error Message:</span>
        <span data-cy="feedback-error-message">{{
          feedback.errorMessage
        }}</span>
      </div>

      <!-- ORIGINAL FILE NAME -->
      <div *ngIf="feedback.originalFileName">
        <span class="file-upload__result-title">Original File Name:</span>
        <span data-cy="feedback-original-file-name">{{
          feedback.originalFileName
        }}</span>
      </div>

      <!-- FINAL FILE NAME -->
      <div *ngIf="feedback.finalFileName">
        <span class="file-upload__result-title">Final File Name:</span>
        <span data-cy="feedback-final-file-name">{{
          feedback.finalFileName
        }}</span>
      </div>
    </div>
  </li>
</ul>
